<?php

$en_array = array('en', 'construction_materials', 'flooring', 'hvac', 'bath_kitchen');
$fr_array = array('fr', 'materiaux_construction', 'plancher', 'climatisation_chauffage', 'bain_cuisine');

?>
<?php if(count($this->getStores())>1): ?>
	<div class="flag_top">
		<?php foreach ($this->getStores() as $_lang): ?>
			<?php if($_lang->getId() == $this->getCurrentStoreId()) continue; ?>
			<?php 
			
			if(in_array($_lang->getCode(), $en_array)) $flag = 'en';
			elseif(in_array($_lang->getCode(), $fr_array)) $flag = 'fr';
			else $flag = $_lang->getCode();
			
				?>
			<a class="lang-flag" href="<?php echo $_lang->getCurrentUrl() ?>">
				<p><?php echo $_lang->getName() ?></p>
					<img src="<?php echo $this->getSkinUrl('images/flags/' . $flag . '.png');?>" alt="<?php echo $_lang->getName() ?>" />
			</a>
		<?php endforeach ?>
	</div>
<?php endif; ?>
